Bug 506684 - Corruption on ext3/xfs with O_DIRECT and unaligned user buffers
Corruption on ext3/xfs with O_DIRECT and unaligned user buffers
Status: CLOSED CANTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.4
i686 Linux
urgent Severity urgent
: rc
: ---
Assigned To: Linda Wang
Red Hat Kernel QE team
:
Depends On: 471613
Blocks: 499522 507297
  Show dependency treegraph
 
Reported: 2009-06-18 06:18 EDT by Jiri Skrabal
Modified: 2014-01-17 07:27 EST (History)
26 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 471613
Environment:
Last Closed: 2010-01-06 10:19:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 18 Larry Troan 2009-06-22 10:28:12 EDT
On Fri, 2009-06-19 at 15:27 -0400, Linda Wang wrote:
> The 5.3.z test kernels are ready, if anyone is interested posting it on
> their people's page for external download: 
> 
> barstool.build.redhat.com:/mnt/redhat/brewroot/scratch/jolsa/task_1853176/*
> 
> arch: i686, x86_64, and ia64
> 
> please let us know the test results asap, & many thanks!
> -linda

NOTE:
THIS IS THE 5.3.z BASED KERNEL...... THE 5.4 BASED KERNEL WILL BE IN THE BETA.

ia64 and src posted on http://people.redhat.com/ltroan/fixes/.506684/

Let me know if you need additional rpm's -- the full set won't fit on my people.page.
Comment 21 Larry Troan 2009-06-22 11:01:47 EDT
5.3.z bugzilla is bug 507297.
Comment 22 Don Zickus 2009-06-22 11:35:44 EDT
in kernel-2.6.18-155.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Please do NOT transition this bugzilla state to VERIFIED until our QE team
has sent specific instructions indicating when to do so.  However feel free
to provide a comment indicating that this fix has been verified.
Comment 25 Issue Tracker 2009-06-22 12:25:31 EDT
Event posted on 06-23-2009 01:23am JST by mfuruta@redhat.com

Hi Watanabe-san, 

Here's latest test kernel for RHEL5.4. 
This kernel is newer than what introduced by my last comment on "Event
posted 06-22-2009 07:50pm JST by mfuruta@redhat.com".

----
in kernel-2.6.18-155.el5
You can download this test kernel from
http://people.redhat.com/dzickus/el5

Please do NOT transition this bugzilla state to VERIFIED until our QE
team
has sent specific instructions indicating when to do so.  However feel
free
to provide a comment indicating that this fix has been verified.
----

So it's better for you to test this (155) rather than last one (154).

This would include the fix as following:
----
%changelog
* Fri Jun 19 2009 Don Zickus <dzickus@redhat.com> [2.6.18-155.el5]
- [mm] fix swap race condition in fork-gup-race patch (Andrea Arcangeli )
[506684]
----

Regards,
Masaki Furuta




This event sent from IssueTracker by mfuruta@redhat.com 
 issue 249537
Comment 28 Chris Ward 2009-07-03 14:45:58 EDT
~~ Attention - RHEL 5.4 Beta Released! ~~

RHEL 5.4 Beta has been released! There should be a fix present in the Beta release that addresses this particular request. Please test and report back results here, at your earliest convenience. RHEL 5.4 General Availability release is just around the corner!

If you encounter any issues while testing Beta, please describe the issues you have encountered and set the bug into NEED_INFO. If you encounter new issues, please clone this bug to open a new issue and request it be reviewed for inclusion in RHEL 5.4 or a later update, if it is not of urgent severity.

Please do not flip the bug status to VERIFIED. Only post your verification results, and if available, update Verified field with the appropriate value.

Questions can be posted to this bug or your customer or partner representative.
Comment 30 Jan Tluka 2009-07-20 11:06:47 EDT
Patch is in -158.el5. Adding SanityOnly.
Comment 31 Don Zickus 2009-07-22 11:54:38 EDT
This patch has been reverted from 5.4 (kernel-2.6.18-159.el5).  Moving back to ASSIGNED to further work on it during 5.5

Note You need to log in before you can comment on or make changes to this bug.